using FluentValidation;
using ToDoManagementSystem.Models.DTO;

namespace ToDoManagementSystem.Web.Models.Validation
{
    public class ToDoItemValidator : AbstractValidator<ToDoItemDTO>
    {
        public ToDoItemValidator()
        {
            RuleFor(x => x.Description).NotNull().WithMessage("This is required.")
                                .Length(2, 250).WithMessage("Description must be between 2 and 250.");
        }
    }
}